/* ------------------------------------------------------------------ 

	Title: GrafDemo

	Description:  A demo application to show the graphing classes.

	Author :
		Stephen Wardlaw, M.D.
		Yale University School of Medicine
		20 York St.
		New Haven, CT  06504

	Edit History:	
		04 Dec 97
			Created
		
------------------------------------------------------------------ */ 

#include "GrafDemo.h"
#include "GDWindow.h"

main()
{	
	GrafDemo* theTest;

	theTest = new GrafDemo();
	theTest->Run();
	
	delete(theTest);
	return(0);
}


// ------------------------------------------------------------------ 
GrafDemo::GrafDemo() : BApplication('GDmo')
{
	GDWindow* 	theWindow;
	BRect			graphRect;

	// set up a rectangle and instantiate a new window
	graphRect.Set(100, 100, 380, 340);
	theWindow = new GDWindow(graphRect);
	theWindow->Show();
}
// ------------------------------------------------------------------ 
void
GrafDemo::AboutRequested()
{
	BAlert* theAlert = new BAlert("","Graph Demo...  Click on the graph to add a point, or shift-click to delete one. By: Stephen Wardlaw, M.D. swardlaw@connix.com","OK");
	theAlert->Go();
}
// ------------------------------------------------------------------ 
